import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Ant is a creature looking for food in the Arena. It moves randomly until it finds food
 * which it will take home.
 * 
 * @author Pavel Soukup 
 * @version v1
 */
public class Ant extends Actor
{
    private Anthill home;
    private boolean hasFood = false;
    private boolean smellsFood = false;
    private static int SMELL_DISTANCE = 25;
    private int smellDistance = SMELL_DISTANCE;
    private int stepSize = 2;

    /**
     * Constructor for creating an ant with an assigned anthill and random orientation
     */
    public Ant(Anthill anthill)
    {
        home = anthill;
        setRotation(Greenfoot.getRandomNumber(360));
    }

    /**
     * Act - do whatever the Ant wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(hasFood){
            //goTowards(home);
            //if(checkHome()) dropFood();
        } else {
            if(smellsFood){
                //goTowards(food);
                //if(atFood()) pickFood();
            } else {
                if(atWorldEdge()){
                    turn(180);
                } else {
                    turn(10-Greenfoot.getRandomNumber(21)); //otoc nahodne v rozmezi -10 az 10
                }
                move(stepSize);
                //smell food
            }
        }
    }

    /**
     * Return TRUE if ant is at the worlds edge
     */
    public boolean atWorldEdge()
    {
        if(getX() < 10 || getX() > getWorld().getWidth() - 10){ return true;}
        if(getY() < 10 || getY() > getWorld().getHeight() - 10){ return true;}
        return false;
    }

}
